<?php

$lzFitnessSliderSingleChoice = getFitnessPostsType('slider');

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'premium_slider_section',
	array(
		'title' => __( 'Slider Section', 'luzuk-premium' ),
        'panel' => 'luzuk_premium_home_panel',
		'priority' =>18
	)
);

// show content in slider
$wp_customize->add_setting(
	'premium_slider_show_content',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'premium_slider_show_content',
		array(
			'settings'      => 'premium_slider_show_content',
			'section'       => 'premium_slider_section',
			'label'         => __( 'Hide Title and description on slider', 'luzuk-premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'luzuk-premium' ),
				'off' => __( 'No', 'luzuk-premium' )
			),
		)
	)
);

$wp_customize->add_setting('luzuk_premium_slider_section_lbl', array('sanitize_callback'=>'luzuk_sanitize_text'));
$wp_customize->add_control(
	new luzuk_Info_Text( 
		$wp_customize,
		'luzuk_premium_slider_section_lbl',
		array(
			'settings'		=> 'luzuk_premium_slider_section_lbl',
			'section'		=> 'premium_slider_section',
			'label'			=> __( 'Note:', 'luzuk-premium' ),	
			'description'	=> __( 'The Page featured image works as a slider banner and the title & content work as a slider caption. And you can add this from the Slider menu. <br/> Recommended Image Size: 744X522', 'luzuk-premium' ),
		)
	)
);

backgroundManager($wp_customize, 'slider', 'premium_slider_section', $color='#fff', get_template_directory_uri().'/images/sliderbg.jpg', 'color');


lzCustomLable($wp_customize, 'slider_color', 'premium_slider_section', 'Section Color');


addColorPalatOption($wp_customize, 'slider_SubtitleColor', 'premium_slider_section', 'Slider Sub Title Color', '#09c567');

addColorPalatOption($wp_customize, 'slider_SubtitlebrdColor', 'premium_slider_section', 'Slider Sub Title Border Color', '#09c567');

addColorPalatOption($wp_customize, 'slider_SltitleColor', 'premium_slider_section', 'Slider Title Color', '#002a45');

addColorPalatOption($wp_customize, 'slider_btntxt', 'premium_slider_section', 'Slider Button Text & Icon Color', '#fff');

addColorPalatOption($wp_customize, 'slider_btntxthv', 'premium_slider_section', 'Slider Button Text & Icon Hover Color', '#fff');

addColorPalatOption($wp_customize, 'slider_btntxtbg', 'premium_slider_section', 'Slider Button Background Color', '#09c567');

addColorPalatOption($wp_customize, 'slider_btntxtbghv', 'premium_slider_section', 'Slider Button Background Hover Color', '#002a45');

lzCustomLable($wp_customize, 'slider_circleimage', 'premium_slider_section', 'Section Circle Image Setting');

$wp_customize->add_setting( 'circle_image_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'circle_image_display', array( 'label' => 'Circle Image Display', 'section' => 'premium_slider_section', 'settings' => 'circle_image_display', 'type' => 'radio', 'choices' => array( 'show' => 'Show Button', 'hide' => 'Hide Button', ), ) );